# Online Shopping System
### online shopping project has categories of products which they have price,name, etc<br/>
cashier will prepare proforma invoice of products the costumer asks. <br/>
costumer will accept the proforma invoice and will pay on his/her invoice. <br/>
the original invoice will be shown to given to costumer and be kept in user's profile.

## in this system we have 5 modules:
1. category
2. product
3. promotion
4. user(roles:manager, cashier, costumer, guest)
5. invoice(proforma invoice, original invoice)
6. shopping cart

## guest
### guest can only brows through products and 

## costumer
### costumer has to sign up and sign in.
### costumer can add items to his/her shopping cart.
### costumer will be able to ask cashier to make an invoice from his shopping cart.
### costumer will be able to pay and know order's process stage through his/her profile.

## cashier
### cashier has to sign in
### cashier will make an invoice from costumer's shopping cart items.
### cashier will accept payments and will reduce the quantity of products the way needed according to costumer's original invoices.

## manager
### manager will sign up cashiers and other managers.
### manager have access to everything except passwords and protected data.


